/*******************************************************************************
 * FoxBeaconCamera generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxBeaconCamera extends GameThirdPersonCamera;

simulated function UpdateCamera(Pawn P, GamePlayerCamera CameraActor, float DeltaTime, out TViewTarget OutVT)
{
    local Vector Loc, pos, HitLocation, HitNormal;
    local Rotator Rot;
    local Actor TargetActor, HitActor;

    TargetActor = CameraActor.ViewTarget.Target;
    Loc = TargetActor.Location;
    Loc.Z += class'FoxPawn'.default.CylinderComponent.CollisionHeight;
    Rot = CameraActor.PCOwner.Rotation;
    Loc += (CameraActor.FreeCamOffset >> Rot);
    pos = Loc - (vector(Rot) * CameraActor.FreeCamDistance);
    HitActor = CameraActor.Trace(HitLocation, HitNormal, pos, Loc, false, vect(12.0, 12.0, 12.0));
    OutVT.POV.Location = ((HitActor == none) ? pos : HitLocation);
    OutVT.POV.Rotation = Rot;
    //return;    
}
